format_version: v1.0
type: UniqueComponent
attributes: {id: can1}
children:
- type: Symbols
  children:
  - type: Integer
    attributes: {id: CALCULATED_NOMINAL_BITRATE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '500'}
  - type: String
    attributes: {id: CALCULATED_NOMINAL_ERRORRATE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '0.000'}
  - type: Menu
    attributes: {id: CAN1_STD_FILTER1}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: Hex
    attributes: {id: CAN1_STD_FILTER1_SFID2}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '2047'}
  - type: KeyValueSet
    attributes: {id: CAN1_STD_FILTER1_TYPE}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '0'}
  - type: Integer
    attributes: {id: CAN_CORE_CLOCK_FREQ}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '8000000'}
  - type: Comment
    attributes: {id: CAN_CORE_CLOCK_INVALID_COMMENT}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'false'}
  - type: Comment
    attributes: {id: CAN_TIME_QUANTA_INVALID_COMMENT}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'false'}
  - type: Integer
    attributes: {id: FILTERS_STD}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '1'}
  - type: Boolean
    attributes: {id: INTERRUPT_MODE}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: 'true'}
  - type: Integer
    attributes: {id: NBTP_NSJW}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '3'}
  - type: Integer
    attributes: {id: NBTP_NTSEG1}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '12'}
  - type: Integer
    attributes: {id: NBTP_NTSEG2}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '3'}
  - type: Integer
    attributes: {id: NBTP_TOTAL_TIME_QUANTA}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '16'}
  - type: Float
    attributes: {id: NOMINAL_SAMPLE_POINT}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '81.25'}
  - type: String
    attributes: {id: NOMINAL_TIME_QUANTA_PERIOD}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '125.000'}
  - type: Integer
    attributes: {id: RXF0_ELEMENTS}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '8'}
  - type: Integer
    attributes: {id: RXF0_WATERMARK}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '0'}
  - type: Integer
    attributes: {id: RXF1_ELEMENTS}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '8'}
  - type: Integer
    attributes: {id: RXF1_WATERMARK}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '0'}
  - type: Integer
    attributes: {id: TX_FIFO_ELEMENTS}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '8'}
  - type: Integer
    attributes: {id: TX_FIFO_WATERMARK}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: can1, value: '0'}
  - type: File
    attributes: {id: instHeaderFile}
    children:
    - type: Attributes
      children:
      - type: String
        attributes: {id: source}
        children:
        - {type: Value, value: ../peripheral/can_u2003/templates/plib_can_interrupt.h.ftl}
  - type: File
    attributes: {id: sourceFile}
    children:
    - type: Attributes
      children:
      - type: String
        attributes: {id: source}
        children:
        - {type: Value, value: ../peripheral/can_u2003/templates/plib_can_interrupt.c.ftl}
- type: ElementPosition
  attributes: {x: '20', y: '213', id: can1}
